libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::QueryFieldValue Class Reference

Represents a single value (or a parameter). More...

Inheritance diagram for Gnome::Gda::QueryFieldValue:

[legend]
List of all members.

## Public Member Functions

Value | get_default_value () const
| Get the default value stored by field.
bool | get_not_null () const
| Tells if field can receive a `0` value.
Value | get_value () const
| Get the value stored by field.
const GdaQueryFieldValue* | gobj () const
| Provides access to the underlying C GObject.
GdaQueryFieldValue* | gobj ()
| Provides access to the underlying C GObject.
GdaQueryFieldValue* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | is_value_null (const Glib::RefPtr<ParameterList>& context) const
| Tells if field represents a `0` value.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_entry_plugin () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_entry_plugin ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< GType > | property_g_type () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<GType> | property_g_type ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Query >> | property_query () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< int > | property_restrict_column () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<int> | property_restrict_column ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<DataModel >> | property_restrict_model () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< Glib::RefPtr< DataModel > > | property_restrict_model ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
bool | restrict (const Glib::RefPtr<DataModel>& model, int col)
| Restricts the possible values which field can have among the calues stored in model at column col.
void | set_default_value (const Value& default_val)
| Sets the default value of field, or removes it (if default_val is `0`).
void | set_is_parameter (bool is_param=true)
| Sets wether field can be considered as a parameter.
void | set_not_null (bool not_null=true)
| Sets if a `0` value is acceptable for field.
void | set_value (const Value& val)
| Sets the value of field, or removes it (if val is `0`).
virtual | ~QueryFieldValue ()

## Static Public Member Functions

static Glib::RefPtr<QueryFieldValue> | create (const Glib::RefPtr<Query>& query, const Value& value)
static Glib::RefPtr<QueryFieldValue> | create (const Glib::RefPtr<Query>& query, GType type)

## Protected Member Functions

| QueryFieldValue (const Glib::RefPtr<Query>& query, const Value& value)
| QueryFieldValue (const Glib::RefPtr<Query>& query, GType type)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::QueryFieldValue> | wrap (GdaQueryFieldValue* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Represents a single value (or a parameter).

## Constructor & Destructor Documentation

virtual Gnome::Gda::QueryFieldValue::~QueryFieldValue | ( |  | ) | `[virtual]`

Gnome::Gda::QueryFieldValue::QueryFieldValue | ( | const Glib::RefPtr<Query>& | query,
|  | GType | type |
| ) |  |  | `[protected]`

Gnome::Gda::QueryFieldValue::QueryFieldValue | ( | const Glib::RefPtr<Query>& | query,
|  | const Value& | value |
| ) |  |  | `[protected]`

## Member Function Documentation

static Glib::RefPtr<QueryFieldValue> Gnome::Gda::QueryFieldValue::create | ( | const Glib::RefPtr<Query>& | query,
|  | const Value& | value |
| ) |  |  | `[static]`

static Glib::RefPtr<QueryFieldValue> Gnome::Gda::QueryFieldValue::create | ( | const Glib::RefPtr<Query>& | query,
|  | GType | type |
| ) |  |  | `[static]`

Value Gnome::Gda::QueryFieldValue::get_default_value | ( |  | ) | const

Get the default value stored by field.

Returns:
  The value or `0`.

bool Gnome::Gda::QueryFieldValue::get_not_null | ( |  | ) | const

Tells if field can receive a `0` value.

Returns:
  `true` if field can't have a `0` value.

Value Gnome::Gda::QueryFieldValue::get_value | ( |  | ) | const

Get the value stored by field.

If there is no value, but a default value exists, then the default value is returned.n it's up to the caller to test if there is a default value for field. The default value can be of a different type than the one expected by field.

Returns:
  The value or `0`.

const GdaQueryFieldValue* Gnome::Gda::QueryFieldValue::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::EntityField.

GdaQueryFieldValue* Gnome::Gda::QueryFieldValue::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::EntityField.

GdaQueryFieldValue* Gnome::Gda::QueryFieldValue::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::QueryField.

bool Gnome::Gda::QueryFieldValue::is_value_null | ( | const Glib::RefPtr<ParameterList>& | context | ) | const

Tells if field represents a `0` value.

Parameters:

  | context | A Gda::ParameterList object.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gnome::Gda::QueryFieldValue::property_entry_plugin | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gnome::Gda::QueryFieldValue::property_entry_plugin | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<GType> Gnome::Gda::QueryFieldValue::property_g_type | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<GType> Gnome::Gda::QueryFieldValue::property_g_type | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Query>> Gnome::Gda::QueryFieldValue::property_query | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gnome::Gda::QueryFieldValue::property_restrict_column | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gnome::Gda::QueryFieldValue::property_restrict_column | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<DataModel>> Gnome::Gda::QueryFieldValue::property_restrict_model | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<DataModel>> Gnome::Gda::QueryFieldValue::property_restrict_model | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

bool Gnome::Gda::QueryFieldValue::restrict | ( | const Glib::RefPtr<DataModel>& | model,
|  | int | col |
| ) |  |  |

Restricts the possible values which field can have among the calues stored in model at column col.

Parameters:

  | model | A Gda::DataModel object.
  | col | A valid column in model.

Returns:
  `true` if no error occurred.

void Gnome::Gda::QueryFieldValue::set_default_value | ( | const Value& | default_val | ) |

Sets the default value of field, or removes it (if default_val is `0`).

Parameters:

  | default_val | The default value to be set, or `0`.

void Gnome::Gda::QueryFieldValue::set_is_parameter | ( | bool | is_param = `true` | ) |

Sets wether field can be considered as a parameter.

void Gnome::Gda::QueryFieldValue::set_not_null | ( | bool | not_null = `true` | ) |

Sets if a `0` value is acceptable for field.

If not_null is `true`, then field can't have a `0` value.

void Gnome::Gda::QueryFieldValue::set_value | ( | const Value& | val | ) |

Sets the value of field, or removes it (if val is `0`).

Parameters:

  | val | The value to be set, or `0`.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::QueryFieldValue> wrap | ( | GdaQueryFieldValue * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- queryfieldvalue.h